| Home | Libraries | People | FAQ | More

## Function template iequals

boost::algorithm::iequals — 'Equals' predicate ( casa insensitive )

## Synopsis

    template<typename Range1T, typename Range2T>
      bool iequals(const Range1T & Input, const Range2T & Test,
                   const std::locale & Loc = std::locale());

## Description

This predicate holds when the test container is equal to the input container i.e. all elements in both containers are same. Elements are compared case insensitively.

Parameters

Input

  An input sequence

Loc

  A locale used for case insensitive comparison

Test

  A test sequence

Returns: The result of the test
Notes: This is a two-way version of `std::equal` algorithm

This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba